# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class Engagement.Comparison

    java.lang.Object
      com.google.gdata.data.analytics.Engagement.Comparison

Enclosing class:
  Engagement

    public static final class Engagement.Comparison

extends java.lang.Object

Engagement goal's comparison operation.

Field Summary
`static java.lang.String` `EQ` Equal to.
`static java.lang.String` `GT` Greater than.
`static java.lang.String` `LT` Less than.

Constructor Summary
`Engagement.Comparison()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EQ

    public static final java.lang.String EQ

  Equal to.

  See Also:
    Constant Field Values

### GT

    public static final java.lang.String GT

  Greater than.

  See Also:
    Constant Field Values

### LT

    public static final java.lang.String LT

  Less than.

  See Also:
    Constant Field Values

Constructor Detail

### Engagement.Comparison

    public Engagement.Comparison()